org.jbpm.process

## Class ProcessPackage

- java.lang.Object
- - org.jbpm.process.ProcessPackage

- All Implemented Interfaces:
    org.kie.api.definition.KiePackage, org.kie.internal.definition.KnowledgePackage

      public class ProcessPackage
      extends Object
      implements org.kie.internal.definition.KnowledgePackage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessPackage(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(org.kie.api.definition.process.Process process)`
    `Collection<org.kie.api.definition.type.FactType>` | `getFactTypes()`
    `Collection<String>` | `getFunctionNames()`
    `Collection<org.kie.api.definition.rule.Global>` | `getGlobalVariables()`
    `String` | `getName()`
    `Collection<org.kie.api.definition.process.Process>` | `getProcesses()`
    `Collection<org.kie.api.definition.rule.Query>` | `getQueries()`
    `Collection<org.kie.api.definition.rule.Rule>` | `getRules()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessPackage

          public ProcessPackage(String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.definition.KiePackage`

    - #### getRules

          public Collection<org.kie.api.definition.rule.Rule> getRules()

      Specified by:
        `getRules` in interface `org.kie.api.definition.KiePackage`

    - #### addProcess

          public void addProcess(org.kie.api.definition.process.Process process)

    - #### getProcesses

          public Collection<org.kie.api.definition.process.Process> getProcesses()

      Specified by:
        `getProcesses` in interface `org.kie.api.definition.KiePackage`

    - #### getFactTypes

          public Collection<org.kie.api.definition.type.FactType> getFactTypes()

      Specified by:
        `getFactTypes` in interface `org.kie.api.definition.KiePackage`

    - #### getQueries

          public Collection<org.kie.api.definition.rule.Query> getQueries()

      Specified by:
        `getQueries` in interface `org.kie.api.definition.KiePackage`

    - #### getFunctionNames

          public Collection<String> getFunctionNames()

      Specified by:
        `getFunctionNames` in interface `org.kie.api.definition.KiePackage`

    - #### getGlobalVariables

          public Collection<org.kie.api.definition.rule.Global> getGlobalVariables()

      Specified by:
        `getGlobalVariables` in interface `org.kie.api.definition.KiePackage`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.